diff -ur tcl8.2-8.2.3.orig/unix/tcl.m4 tcl8.2-8.2.3/unix/tcl.m4
--- tcl8.2-8.2.3.orig/unix/tcl.m4	2003-02-21 23:24:45.000000000 +0000
+++ tcl8.2-8.2.3/unix/tcl.m4	2003-02-21 23:33:44.000000000 +0000
@@ -538,6 +538,9 @@
 	    if test "`uname -s`" = "AIX" ; then
 		system=AIX-`uname -v`.`uname -r`
 	    fi
+	    if test "`uname -s`" = "NetBSD" -a -f /etc/debian_version ; then
+		system=NetBSD-Debian
+	    fi
 	    AC_MSG_RESULT($system)
 	fi
     fi
@@ -749,6 +752,17 @@
 	    LDFLAGS="-Wl,-Bexport"
 	    LD_SEARCH_FLAGS=""
 	    ;;
+	NetBSD-Debian)
+	    SHLIB_CFLAGS="-fPIC"
+	    SHLIB_LD_LIBS='${LIBS}'
+	    SHLIB_SUFFIX=".so"
+
+	    SHLIB_LD="${CC} -shared"
+	    DL_OBJS="tclLoadDl.o"
+	    DL_LIBS=""
+	    LDFLAGS="-rdynamic"
+	    LD_SEARCH_FLAGS=""
+	    ;;
 	NetBSD-*|FreeBSD-[[1-2]].*|OpenBSD-*)
 	    # Not available on all versions:  check for include file.
 	    AC_CHECK_HEADER(dlfcn.h, [
